For right-to-left languages such as Arabic or Hebrew, the viewer interface can be mirrored. This example enables RTL mode.

Viewer setup. Configure the viewer, load the report, assign it to the component, and process the requests or events raised by the UI.
@Component({
    selector: "rtl-viewer",
    imports: [Viewer],
    template: `<sti-viewer [report]="report" [options]="viewerOptions"></sti-viewer>`
})
export class RtlViewer {
    report = new Stimulsoft.Report.StiReport();
    viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
    constructor() {
        this.report.loadFile("Reports/BookmarksAndHyperlinks.mrt");
        this.viewerOptions.appearance.rightToLeft = true;
    }
}

Setting appearance.rightToLeft = true lays the toolbar, panels and scrollbars out right-to-left for a fully localized experience.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

Cloud
Облачный сервис для быстрого и эффективного анализа и визуализации данных для вашего бизнеса без необходимости создания своих приложений и программирования.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/viewer';
var report = new Stimulsoft.Report.StiReport();
report.loadFile("Reports/BookmarksAndHyperlinks.mrt");
var viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
viewerOptions.appearance.rightToLeft = true;
</script>
<template>
<Viewer :report="report" :options="viewerOptions" />
</template>appearance.rightToLeft = true lays the toolbar, panels and scrollbars out right-to-left for a fully localized experience.